# iostream File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file iostream.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_IOSTREAM

## Variables

- static ios_base::Init std::__ioinit

Standard Stream Objects
The <iostream> header declares the eight standard stream objects. For other declarations, see http://gcc.gnu.org/onlinedocs/libstdc++/27_io/howto.html#10 and the I/O forward declarations

They are required by default to cooperate with the global C library's `FILE` streams, and to be available during program startup and termination. For more information, see the HOWTO linked to above.

- ostream std::cerr
- istream std::cin
- ostream std::clog
- ostream std::cout
- wostream std::wcerr
- wistream std::wcin
- wostream std::wclog
- wostream std::wcout